* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html,
body {
    height: 100%;
    overflow: hidden;
}

.principal {
    height: 100vh;
    display: grid;

    grid-template-areas:
        "lateral cabeza"
        "lateral cuerpo"
        "pie pie"
    ;
    grid-template-columns:
        20% 80% 20% 80% 20% 80%;
    grid-template-rows:
        10% 85% 5%;
}

/*.lateral,.cabeza,.cuerpo,.pie{
     display: flex;
   justify-content: center;
    align-items: center; 
}

*/
.lateral {
    grid-area: lateral;
    background-color: #E1DFEE;
    text-align: center;
}

.logoImg {
    margin-top: 15px;
    width: 100px;
    height: auto;
}

.lateral h1 {
    /* border-top: 1px dotted #2D020D;
    border-bottom: 1px dotted #2D020D; */
    margin: 10px 0;
}

.lateral h1 a {
    text-decoration: none;
    color: #2D020D;
}

.lateral h1:hover {
    background-color: rgb(206, 200, 240);
}

.cabeza {
    grid-area: cabeza;
    border-bottom: 2px solid #2D020D;
}

.cuerpo {
    grid-area: cuerpo;
}

.pie {
    grid-area: pie;
    background-color: #2D020D;
    color: white;
    text-align: center;
}

.pie h3 {
    font-size: 0.6rem;
}

.menuCelular {
    display: none;
}

.finanzas {
    display: grid;
    grid-gap: 4px;
    width: 100%;
    height: 100%;
    grid-template-areas: "gastos ganancias categorias"
    ;
}

.gastos,
.ganancias,
.categorias {
    /* display: flex; */
    text-align: center;
    margin: 15px 10px;
}

.gastos {
    grid-area: gastos;
    border: 1px solid black;
}

.ganancias {
    grid-area: ganancias;
    background-color: firebrick;
}

.categorias {
    grid-area: categorias;
    background-color: burlywood;
}

.modalContenedor{
    display:none;
background-color: rgba(185, 185, 185, 0.349);
position: fixed;
top:0;
left: 0;
height: 100%;
width: 100%;
z-index: 1;
}
.modal {
    display: block;
    width: 300px;
    margin: 30px auto;
    border: 1px solid black;  
    margin-top: 100px;
}
.cerrarModal{
    color: #ccc;
    float: right;
    font-size:30px;
}
.cerrarModal:hover,.cerrarModal:focus{
    color: #000;
    text-decoration: none;
    cursor: pointer;
}
.modalTitulo{
    background-color: #E1DFEE;
    padding-bottom: 3px;
}
.modalContenido{
    background-color: white;
}
input, button{
    border: 1px solid #2D020D;
}
button{
    padding: 3px;
    margin-top: 5px;
}
.gastosPrincipal{
    width: 90%;
    margin: 20px auto;
    text-align: left;
}
.alertaGasto{
    font-size: 0.7rem;
    color: firebrick;
}
.gastostotal{
    margin-top: 10px;
    position: relative;
    bottom: 10px;
}
.gastoCero{
    background-color:firebrick;
}
@media(max-width:666px) {
    .lateral {
        display: none;
    }

    .principal {
        height: 100vh;
        display: grid;

        grid-template-areas:
            "cabeza"
            "cuerpo"
            "pie"
        ;
        grid-template-columns:
            100%;
        grid-template-rows:
            10% 80% 10%;
    }

    .menuCelular {
        display: inline-block;
        font-size: 0.7rem;
        text-align: center;
    }

    .menuCelular h1 {
        display: inline-block;
        font-size: 0.7rem;
        margin-left: 4px;
    }

    .menuCelular h1 a {
        text-decoration: none;
        color: white;
    }

    .pie h3 {
        font-size: 0.4rem;
    }
    .finanzas {
        display: grid;
        grid-gap: 4px;
        width: 100%;
        height: 100%;
        grid-template-areas: "gastos" "ganancias" "categorias"
        ;
}
}